Subject: RE: Core Scheme/LDAP question

From: [email-masked]
Date: Fri, 1 Oct 1999 07:19:44 -0400

Yoram,

No, there's really nothing new on consistency mechanisms.  I'd suggest
that you wait for the updated versions of the Core Policy documents
next week, then (re)open the discussion relative to them.

Regards,
Bob

Bob Moore
IBM Networking Software
+1-919-254-4436
[email-masked]

"Yoram Snir" <[email-masked]> on 09/29/99 08:16:58 PM

Please respond to [email-masked]

To:   Robert Moore/Raleigh/IBM@IBMUS, "'Jon Sjoberg'" <[email-masked]>,
      [email-masked]
cc:
Subject:  RE: Core Scheme/LDAP question

Bob
In the previous discussion of the changes in the core policy model, there
were one major subject that was not resolved. I am referring to the
consistency mechanism required in the policy rule object.
Any new? should this be open for discussion again?
Yoram

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of [email-masked]
> Sent: Tuesday, September 28, 1999 12:57 PM
> To: Jon Sjoberg; [email-masked]
> Subject: RE: Core Scheme/LDAP question
>
>
>
>
> Jon,
>
> As one of the authors, I'll second what Ryan has said.  John and
> Ed and I are working on updating both of the Core Policy
> Internet-Drafts; we expect to publish the updated versions next
> Monday (October 4).
>
> When you see the new drafts, you'll see that your first question
> no longer applies, since the connection between a Policy Rule and
> its conditions and actions is realized in the LDAP Core Schema
> via DIT containment rather than by structured DN pointers in
> policyRule.
>
> The new draft also removes the notion of a simple rule that was
> present before, so there's no longer Aux attachment of
> policyCondition and policyAction to the policyRule class.
>
> I don't mean to be cryptic with these answers, but it's hard to
> put a document's worth of explanation into a short note.  My
> suggestion (to everyone on the list) is to put aside the two
> Core Policy drafts until next week, and spend your time reading
> and commenting on the Requirements and Framework drafts
> (draft-ietf-policy-req-00.txt and draft-ietf-policy-framework-00.txt,
> respectively).
>
> Regards,
> Bob
>
> Bob Moore
> IBM Networking Software
> +1-919-254-4436
> [email-masked]
>
>
> ---------------------- Forwarded by Robert Moore/Raleigh/IBM
> on 09/28/99 03:40
> PM ---------------------------
>
> "Ryan Moats" <[email-masked]> on 09/28/99 02:52:11 PM
>
> Please respond to "Ryan Moats" <[email-masked]>
>
> To:   "Jon Sjoberg" <[email-masked]>, [email-masked]
> cc:
> Subject:  RE: Core Scheme/LDAP question
>
>
>
>
> | I know we have been through to auxillary or not to auxillary many
> | times.  It
> | is NOT my intent go into that Vietnam again, I just have a
> | clarification/explaination type question.
> |
> | Why are policyAction's and policyCondition's auxillary classes and
> | policyRuleConditionList/ActionList not?
> |
> | And a small document comment on
> draft-ietf-policy-core-schema-04.txt:
> | The policyRule class claimes no auxiliary classes, but a simple
> | policy would
> | have the policyAction and policyCondition classes attached to the
> | policyRule.  I think the policyRule AUXILIARY CLASSES
> section needs to be
> | updated to reflect this.
> |
> | Thanks,
> | Jon
>
> Jon-
>
> supposedly, there is a new version of the core schema and
> information models
> due out in the near future and I think that some of your
> questions will be
> answered there-in.
>
> I also have to be fair and state that not being one of the
> document authors,
> I may be completely wrong in my assessment above.
>
> Ryan
>
>
>
>
>